//********************************************************************************//
// FILE:		zarLib.h
// PROJECT:		zarLib  - ver 1.00 -
// COPYRIGHTS:	The famous group 4 of "Roskilde Universites Center"
//********************************************************************************//
// Preprocessor:

/* Make sure this file is included only once: */
#ifndef _ZARLIB_
#define _ZARLIB_


//********************************************************************************
// Headers:
#include "zarDefs.h"	// Modify this header to customize the library!
#include "zarTypes.h"
#include "zarErr.h"
#include "zarIO.h"
#include "zarUtl.h"


//********************************************************************************
// Function prototypes:

void zarPrintShortHelp(void);
void zarPrintHelp(void);
void zarPrintHeader(void);

void zarInit(const ZAR_INIT* pzarInit);
void zarClose(void);
int  zarMain(_pcstr* ppArgs);

#endif	// _ZARLIB_
