//********************************************************************************//
// FILE:		zarUtl.h
// PROJECT:		zarLib  - ver 1.00 -
// COPYRIGHTS:	The famous group 4 of "Roskilde Universites Center"
//********************************************************************************//
// Preprocessor:

/* Make sure this file is included only once: */
#ifndef _ZARUTL_
#define _ZARUTL_


//********************************************************************************
// Typedefs:

typedef struct
{
	_dword  cxChar;
	_ubyte  ubChar;
} ZAR_FREQ;

typedef struct
{
	ZAR_FREQ freq[256];	
} ZAR_CHAR_FREQ;


//********************************************************************************
// Function prototypes:

// Character counting:
void zarInitCharFreq(ZAR_CHAR_FREQ* pzCharFreq);
void zarCountCharFreq(const ZAR_FILE* pFile, ZAR_CHAR_FREQ* pzCharFreq);
void zarSortCharFreq(ZAR_CHAR_FREQ* pzCharFreq);

// Time function:
void zarInitTime();
long zarDumpTime();

// zarTask helpers:
int zarGetNumSwitches(_dword dwSwitches);


#endif	// _ZARUTL_